#include <errno.h>
#include <stdio.h>
#include <unistd.h>

int main(int argc, char* argv[], char* envp[]) {
  int retval;

  retval = setuid(0);
  if (retval != 0) {
    perror(NULL);
    return -1;
  }

  argv[0] = "bash";

  retval = execve("/usr/bin/bash", argv, envp);
  if (retval != 0) {
    perror(NULL);
    return -1;
  }
  fputs("execve returned 0", stderr);
  return -1;
}
